org.jboss.shrinkwrap.descriptor.api.j2ee14

## Interface ResourceEnvRefType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ResourceEnvRefType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `resource-env-refType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceEnvRefType<T>` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getResourceEnvRefName()` Returns the `resource-env-ref-name` element
    `java.lang.String` | `getResourceEnvRefType()` Returns the `resource-env-ref-type` element
    `ResourceEnvRefType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `ResourceEnvRefType<T>` | `removeAllDescription()` Removes the `description` element
    `ResourceEnvRefType<T>` | `removeId()` Removes the `id` attribute
    `ResourceEnvRefType<T>` | `removeResourceEnvRefName()` Removes the `resource-env-ref-name` element
    `ResourceEnvRefType<T>` | `removeResourceEnvRefType()` Removes the `resource-env-ref-type` element
    `ResourceEnvRefType<T>` | `resourceEnvRefName(java.lang.String resourceEnvRefName)` Sets the `resource-env-ref-name` element
    `ResourceEnvRefType<T>` | `resourceEnvRefType(java.lang.String resourceEnvRefType)` Sets the `resource-env-ref-type` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### description

          ResourceEnvRefType<T> description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          ResourceEnvRefType<T> removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### resourceEnvRefName

          ResourceEnvRefType<T> resourceEnvRefName(java.lang.String resourceEnvRefName)

      Sets the `resource-env-ref-name` element
      Parameters:
        `resourceEnvRefName` - the value for the element `resource-env-ref-name`
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### getResourceEnvRefName

          java.lang.String getResourceEnvRefName()

      Returns the `resource-env-ref-name` element
      Returns:
        the node defined for the element `resource-env-ref-name`

    - #### removeResourceEnvRefName

          ResourceEnvRefType<T> removeResourceEnvRefName()

      Removes the `resource-env-ref-name` element
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### resourceEnvRefType

          ResourceEnvRefType<T> resourceEnvRefType(java.lang.String resourceEnvRefType)

      Sets the `resource-env-ref-type` element
      Parameters:
        `resourceEnvRefType` - the value for the element `resource-env-ref-type`
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### getResourceEnvRefType

          java.lang.String getResourceEnvRefType()

      Returns the `resource-env-ref-type` element
      Returns:
        the node defined for the element `resource-env-ref-type`

    - #### removeResourceEnvRefType

          ResourceEnvRefType<T> removeResourceEnvRefType()

      Removes the `resource-env-ref-type` element
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### id

          ResourceEnvRefType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `ResourceEnvRefType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          ResourceEnvRefType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `ResourceEnvRefType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)